package com.app.input.inputaura.ohbnf

import androidx.lifecycle.LiveData
import androidx.room.Dao
import androidx.room.Delete
import androidx.room.Insert
import androidx.room.OnConflictStrategy
import androidx.room.Query
import androidx.room.Update
import com.app.input.inputaura.dasda.Shikamaru

@Dao
interface BinYuTb {
    @Insert(onConflict = OnConflictStrategy.Companion.IGNORE)
    suspend fun insertData(data: Shikamaru): Long

    @Query("select * from Shikamaru ")
     fun queryAllLike(): LiveData<List<Shikamaru?>?>



    @Query("select * from Shikamaru  where titleName = :title ")
    suspend fun queryIsLike(title: String ): Shikamaru?


    @Delete
    suspend fun delete(data: Shikamaru)

    @Update
    suspend fun updateLike(data: Shikamaru)
}